//======================================================================
// Fueldump.shader
// Last edit: 26/04/03 Sock
//
//======================================================================
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
textures/UJE_fueldump_hell/skybox/miramar
{
	qer_editorimage textures/UJE_fueldump_hell/skybox/hell_up.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	q3map_sun 1 0.5 0.5 150 305 40
	skyparms textures/UJE_fueldump_hell/skybox/hell - -
	{
		map textures/UJE_fueldump_hell/skybox/sky_clouds.jpg
		blendFunc filter
		tcMod scroll 0.001 0.001
		tcMod scale 3 3
	}
}

levelshots/UJE_fueldump_hell_cc_automap
{
  	nopicmip
	nocompress
	nomipmaps
  	{
  	  	clampmap levelshots/UJE_fueldump_hell_cc.tga
		depthFunc equal
		rgbGen identity
  	}
}

levelshots/UJE_fueldump_hell_cc_trans
{
  	nopicmip
	nocompress
	nomipmaps

	{

  	  	clampmap levelshots/UJE_fueldump_hell_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
  	}
}

//======================================================================
// Base for metashaders
//======================================================================
textures/UJE_fueldump_hell/terrain_base
{
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
	q3map_normalimage textures/sd_bumpmaps/normalmap_terrain.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 37
	q3map_tcMod scale 2 2
	surfaceparm landmine
	surfaceparm grasssteps
}

//======================================================================
// Metashader for both sides of the map
// _0: Slighty dirty snow
// _1: Mud/dirt snow
// _2: Clean white snow
// _3: Snow crispy rock
//======================================================================
textures/UJE_fueldump_hell/terrain1_0
{
        qer_editorimage textures/UJE_fueldump_hell/master_grass_dirt3.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/UJE_fueldump_hell/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/UJE_fueldump_hell/terrain1_1
{
        qer_editorimage textures/UJE_fueldump_hell/rock_graynoise.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/UJE_fueldump_hell/rock_graynoise.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/UJE_fueldump_hell/terrain1_2
{
        qer_editorimage textures/UJE_fueldump_hell/grass_path1.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/UJE_fueldump_hell/grass_path1.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/UJE_fueldump_hell/terrain1_3
{
        qer_editorimage textures/UJE_fueldump_hell/rock_ugly_brown.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/UJE_fueldump_hell/rock_ugly_brown.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/UJE_fueldump_hell/terrain1_0to1
{
        qer_editorimage textures/UJE_fueldump_hell/master_grass_dirt3.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/UJE_fueldump_hell/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/UJE_fueldump_hell/rock_graynoise.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/UJE_fueldump_hell/terrain1_0to2
{
        qer_editorimage textures/UJE_fueldump_hell/master_grass_dirt3.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/UJE_fueldump_hell/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/UJE_fueldump_hell/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/UJE_fueldump_hell/terrain1_0to3
{
        qer_editorimage textures/UJE_fueldump_hell/master_grass_dirt3.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/UJE_fueldump_hell/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/UJE_fueldump_hell/rock_ugly_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/UJE_fueldump_hell/terrain1_1to2
{
        qer_editorimage textures/UJE_fueldump_hell/rock_graynoise.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/UJE_fueldump_hell/rock_graynoise.tga
		rgbgen identity
	}
	{
		map textures/UJE_fueldump_hell/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/UJE_fueldump_hell/terrain1_1to3
{
        qer_editorimage textures/UJE_fueldump_hell/rock_graynoise.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/UJE_fueldump_hell/rock_graynoise.tga
		rgbgen identity
	}
	{
		map textures/UJE_fueldump_hell/rock_ugly_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/UJE_fueldump_hell/terrain1_2to3
{
        qer_editorimage textures/UJE_fueldump_hell/grass_path1.tga
	q3map_baseshader textures/UJE_fueldump_hell/terrain_base
	{
		map textures/fueldump-z/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/UJE_fueldump_hell/rock_ugly_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

//===========================================================================
// Floor and wall textures for the cave system + hong phong goodness
//===========================================================================
textures/fueldump/cave_dark
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/stone/mxrock3_a.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stone/mxrock3_a.tga
		blendFunc filter
	}
}

textures/fueldump/cave_floor
{
	surfaceparm gravelsteps
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/stone/mxrock1aa.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stone/mxrock1aa.tga
		blendFunc filter
	}
}

textures/fueldump/snow_floor
{
	surfaceparm gravelsteps
	q3map_nonplanar
	q3map_shadeangle 179
	qer_editorimage textures/snow/s_dirt_m03i_2_phong.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/snow/s_dirt_m03i_2.tga
		blendFunc filter
	}
}

textures/terrain/dirt_m03i
{
	{
		map textures/terrain/dirt_m03i.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 1 1
		detail
	}
}

//==========================================================================
// Terrain/tunnel blend textures
//==========================================================================
textures/snow_sd/snow_road01
{
	q3map_nonplanar
	q3map_shadeangle 179
	surfaceparm snowsteps
	{
		map textures/snow_sd/snow_road01.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 1 1
		detail
	}
}

textures/snow_sd/snow_path01
{
	q3map_nonplanar
	q3map_shadeangle 179
	surfaceparm snowsteps
	{
		map textures/snow_sd/snow_path01.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 1 1
		detail
	}
}

//==========================================================================
// Misc stuff for the central building in the axis base
//==========================================================================
// Comms tower
textures/fueldump/atruss_m06a
{
	qer_alphafunc gequal 0.5
	qer_editorimage textures/assault/atruss_m06a.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm alphashadow
	surfaceparm roofsteps
	surfaceparm trans
	implicitMask textures/assault/atruss_m06a.tga
}

textures/awf/awf_w_m11
{
	qer_editorimage textures/awf/awf_w_m11.tga
	q3map_lightimage textures/awf/awf_w_m11_g.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	implicitMask textures/awf/awf_w_m11.tga
}

textures/awf/awf_w_m11_nlm
{
	qer_editorimage textures/awf/awf_w_m11_nlm.tga
	surfaceparm nomarks
	implicitMask textures/awf/awf_w_m11.tga
}

// This is more or less similiar to clipmissile
textures/alpha/fence_c11fd
{
	qer_trans 0.85
	qer_editorimage textures/alpha/fence_c11.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/alpha/fence_c11.tga
}

//==========================================================================
// Various terrain decals textures
//==========================================================================

// ydnar: nuked unnecessary alphaGen vertex part & added surfaceparm trans & pointlight
textures/fueldump/cave_floorblend
{
	qer_editorimage textures/snow/s_dirt_m03i_alphadir.tga
	q3map_nonplanar
	q3map_shadeangle 60
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm gravelsteps
	surfaceparm pointlight
	polygonOffset

	{
		map textures/snow/s_dirt_m03i_alpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}


textures/fueldump/alphatree
{
	qer_editorimage textures/snow/s_dirt_m03i_alphatree.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	{
		map textures/snow/s_dirt_m03i_alphatree.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

//==========================================================================
// Various metal surfaceparm textures
//==========================================================================
textures/fueldump/door_m01asml
{
	qer_editorimage textures/fueldump_sd/door_m01asml.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fueldump_sd/door_m01asml.tga
		blendFunc filter
	}
}

textures/fueldump/door_m01asml_axis
{
	qer_editorimage textures/fueldump_sd/door_m01asml_axis.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fueldump_sd/door_m01asml_axis.tga
		blendFunc filter
	}
}

//==========================================================================
// water
//==========================================================================
textures/UJE_fueldump_hell/rand
{ 

	qer_editorimage textures/UJE_fueldump_hell/rand.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	
	sort decal-
	
	{
		map textures/UJE_fueldump_hell/rand.tga
		//blendfunc blend
		//rgbGen identity
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}



textures/UJE_fueldump_hell/river
{
	qer_editorimage textures/UJE_fueldump_hell/wasser.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 512 sin 0 3 0 0.2 
	qer_trans 0.5
	q3map_globaltexture
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/UJE_fueldump_hell/water.tga
		blendfunc gl_dst_color gl_one_minus_src_color
		rgbGen wave triangle 0 2 0 0.2 
		tcMod scale 1 1
		//tcMod scroll 0.0004 -0.0001
		tcMod stretch sin 1 0.04 0 0.005 
	}
	{
		map textures/UJE_fueldump_hell/wasser.tga
		blendfunc add
		//tcMod scroll 0.00035 -0.00012
		tcMod stretch sin 1 0.05 0 0.005 
	}
	{
		map textures/UJE_fueldump_hell/wasser.tga
		blendfunc filter
		//tcMod scroll -0.00035 0.00025
		tcMod transform 1.5 0 1.5 1 1 2
		tcMod stretch sin 1 0.06 0 0.005 
	}
}

textures/fueldump/riverbed
{
	qer_editorimage textures/stone/mxdebri0_riverbed.tga

	{
		map textures/stone/mxdebri0_riverbed.tga
		rgbGen vertex
	}	
}
///Models
models/mapobjects/trees_sd/summerbranch01
{

	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/trees_sd/summerbranchred.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	implicitMask -
	
}
textures/UJE_fueldump_hell/tracks/mudd_track03 
{ 
	qer_editorimage textures/UJE_fueldump_hell/tracks/mudd_track03.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	
	sort decal-
	
	{
		map textures/UJE_fueldump_hell/tracks/mudd_track03.tga
		blendfunc blend
       		//blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}

textures/UJE_fueldump_hell/tracks/mudd_track03_faint
{ 
	qer_editorimage textures/UJE_fueldump_hell/tracks/mudd_track03.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	
	sort decal-
	
	{
		map textures/UJE_fueldump_hell/tracks/mudd_track03.tga
       		//blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		blendfunc blend
		rgbGen identity
		//rgbGen const ( 0.5 0.5 0.5 )
	}
}

textures/UJE_fueldump_hell/tracks/mudd_track03_end 
{ 
	qer_editorimage textures/UJE_fueldump_hell/tracks/mudd_track03_end.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	
	sort decal-
	
	{
		map textures/UJE_fueldump_hell/tracks/mudd_track03_end.tga
		blendfunc blend
		rgbGen identity
	}
}

textures/UJE_fueldump_hell/tracks/mudd_track03_end_faint 
{ 

	qer_editorimage textures/UJE_fueldump_hell/tracks/mudd_track03_end.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	
	sort decal-
	
	{
		map textures/UJE_fueldump_hell/tracks/mudd_track03_end.tga
		blendfunc blend
		rgbGen identity
	}
}
models/mapobjects/tanks_sd/mg42turret_oasis
{
	{
		map models/mapobjects/tanks_sd/mg42turret_oasis.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/churchill_flat_oasis_fix
{
	{
		map models/mapobjects/tanks_sd/churchill_flat_oasis_fix.tga
		rgbGen lightingDiffuse
	}
}
textures/UJE_fueldump_hell/uje_stargate
{
	qer_editorimage textures/UJE_fueldump_hell/stargate.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	
	{
		clampMap textures/UJE_fueldump_hell/stargate.tga
		blendFunc blend
		rgbGen vertex
		rgbGen wave sin 0.6 0.05 0 0.25
		tcMod stretch sin 0.95 0.05 0 0.01
		tcmod rotate 10
	}
}
textures/UJE_fueldump_hell/uje_devil
{
	qer_editorimage textures/UJE_fueldump_hell/devil.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_fueldump_hell/devil.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
models/mapobjects/ts-torch01/fire01
{
	cull disable
	{
		animmap 8 models/mapobjects/ts-torch01/fire01.tga models/mapobjects/ts-torch01/fire03.tga models/mapobjects/ts-torch01/fire05.tga models/mapobjects/ts-torch01/fire07.tga models/mapobjects/ts-torch01/fire09.tga models/mapobjects/ts-torch01/fire11.tga models/mapobjects/ts-torch01/fire13.tga models/mapobjects/ts-torch01/fire15.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 8 
	}
	{
		animmap 8 models/mapobjects/ts-torch01/fire02.tga models/mapobjects/ts-torch01/fire04.tga models/mapobjects/ts-torch01/fire06.tga models/mapobjects/ts-torch01/fire08.tga models/mapobjects/ts-torch01/fire10.tga models/mapobjects/ts-torch01/fire11.tga models/mapobjects/ts-torch01/fire14.tga models/mapobjects/ts-torch01/fire16.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 8 
	}
}

models/mapobjects/ts-torch01/torch
{
	{
		map models/mapobjects/ts-torch01/blood.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 0.1
	}
	{
		map models/mapobjects/ts-torch01/torch.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/ts-torch01/torch-g.tga
		blendfunc add
		rgbGen wave sin 0.25 0.75 0 0.3 
	}
}